%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%                    Story Drift and Displacement Plotting Routine
%                   
% Last Modified : Oct_03 
% by Erol Kalkan
% Description : This file takes all interstory drift datafiles as well as 
% storey displacements and plot them, displacements are normalized to height
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
clear; clc; close all;
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
nstory=6;

load EVForce1_11.evf;
load EVForce1_18.evf;
load EVForce1_25.evf;
load EVForce1_32.evf;
load EVForce1_39.evf;
load EVForce1_46.evf;

d1=EVForce1_11;
d2=EVForce1_18;
d3=EVForce1_25;
d4=EVForce1_32;
d5=EVForce1_39;
d6=EVForce1_46;

d0=zeros(length(d1),1);
sl=[0 1 2 3 4 5 6]'
d=[d0 d1 d2 d3 d4 d5 d6];

figure(1);  subplot(1,2,1); plot([0,0],[0,nstory],'-'); hold;
for i=1:length(d1);
%    figure(i); 
  
    plot(d(i,:),sl,'r-s'); 
    ylabel('Story Level');
    xlabel('evfen Vector (Mode-1)');
zoom on;
end
    subplot(1,2,2);
    plot([0,0],[0,nstory],'-'); hold;
    plot(d(1,:),sl,'r-s'); 
    plot(d(length(d),:),sl,'-o'); legend('','Initial','Final'); xlabel('evfen Vector (Mode-1)');

% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
%       DRIFT AND DISPLACEMENT INTO FILE
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 

%fid = fopen ('Drift.evf','w'); % 
%fprintf (fid,'%6.4f\n',dmax);
%fclose(fid)



