%--------------------------------------------------------------------------
% 
%            D U C T I L I T Y   D E M A N D   E V A L U A T I O N  
%
%              B A S E D   O N   I N T E R S T O R Y   D R I F T  
%
%                                   
% Last updated : 05/21/2004
% Copyright (c) 2004 by E. Kalkan, :-)
%--------------------------------------------------------------------------
clear; clc;

%--------------------------------------------------------------------------
h=990; % TOTAL HEIGHT OF BUILDING
%--------------------------------------------------------------------------

%~~~~~~~~~~~~INTER STOREY DRIFT ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
load Story_1_Drift.out;
load Story_2_Drift.out;
load Story_3_Drift.out;
load Story_4_Drift.out;
load Story_5_Drift.out;
load Story_6_Drift.out;

d1=Story_1_Drift;
d2=Story_2_Drift;
d3=Story_3_Drift;
d4=Story_4_Drift;
d5=Story_5_Drift;
d6=Story_6_Drift;

intdrift=[d1 d2 d3 d4 d5 d6]';

d1max=max(abs(d1));
d2max=max(abs(d2));
d3max=max(abs(d3));
d4max=max(abs(d4));
d5max=max(abs(d5));
d6max=max(abs(d6));

dmax=[0 d1max d2max d3max d4max d5max d6max]';
sl=[0 1 2 3 4 5 6 ]';
%--------------------------------------------------------------------------
% 1 Story Columns
%--------------------------------------------------------------------------
sn=1;
load pl_def_all_cols_1.out;
c1=pl_def_all_cols_1;
c1=[c1(:,2) c1(:,3) c1(:,5) c1(:,6) c1(:,8) c1(:,9) c1(:,11) c1(:,12) c1(:,14) c1(:,15) c1(:,17) c1(:,18) c1(:,20) c1(:,21)];

c1=abs(c1); [a b]=size(c1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1
        break
    end
    end
    if count == 1
        break
    end
end
if count==0; i=0; j=0; end;
Fcol(sn)=j; % First Yield, Col No
Fcolstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > maxpl;
         maxpl=abs(c1(i,j));    
         colno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
if maxpl==0; colno=0; stepno=0; end;
plmax(sn,1)=maxpl
Mcol(sn)=colno; % Max Yield, Col No
Mcolstep(sn)=stepno; % Max Yield, Step No
%--------------------------------------------------------------------------
% 1 Story Beams
%--------------------------------------------------------------------------
load pl_def_all_beams_1.out
b1=pl_def_all_beams_1;
b1=[b1(:,2) b1(:,3) b1(:,5) b1(:,6) b1(:,8) b1(:,9) b1(:,11) b1(:,12) b1(:,14) b1(:,15) b1(:,17) b1(:,18) ];

b1=abs(b1); [a b]=size(b1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1;
        break
    end
    end
    if count == 1;
        break
    end
end
if count==0; i=0; j=0; end;
Fbeam(sn)=j; % First Yield, Col No
Fbeamstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > maxpl;
         maxpl=abs(b1(i,j));    
         beamno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
if maxpl<0.0002; beamno=0; stepno=0; end;
plmax(sn,2)=maxpl
Mbeam(sn)=beamno; % Max Yield, Col No
Mbeamstep(sn)=stepno; % Max Yield, Step No
%--------------------------------/o\/o\-------------------------------------
%--------------------------------------------------------------------------
% 2 Story Columns
%--------------------------------------------------------------------------
sn=2;
load pl_def_all_cols_2.out;
c1=pl_def_all_cols_2;
c1=[c1(:,2) c1(:,3) c1(:,5) c1(:,6) c1(:,8) c1(:,9) c1(:,11) c1(:,12) c1(:,14) c1(:,15) c1(:,17) c1(:,18) c1(:,20) c1(:,21)];

c1=abs(c1); [a b]=size(c1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1
        break
    end
    end
    if count == 1
        break
    end
end
j=j+12*(sn-1); %..............................!!! BASED ON STOREY LEVEL !!!!

if count==0; i=0; j=0; end;
Fcol(sn)=j; % First Yield, Col No
Fcolstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > maxpl;
         maxpl=abs(c1(i,j));    
         colno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
colno=colno+12*(sn-1); %......................!!! BASED ON STOREY LEVEL !!!!

if maxpl==0; colno=0; stepno=0; end;
plmax(sn,1)=maxpl
Mcol(sn)=colno; % Max Yield, Col No
Mcolstep(sn)=stepno; % Max Yield, Step No
%--------------------------------------------------------------------------
% 2 Story Beams
%--------------------------------------------------------------------------
load pl_def_all_beams_2.out
b1=pl_def_all_beams_2;
b1=[b1(:,2) b1(:,3) b1(:,5) b1(:,6) b1(:,8) b1(:,9) b1(:,11) b1(:,12) b1(:,14) b1(:,15) b1(:,17) b1(:,18)  ];

b1=abs(b1); [a b]=size(b1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1;
        break
    end
    end
    if count == 1;
        break
    end
end
j=j+12*(sn-1); %..............................!!! BASED ON STOREY LEVEL !!!!
if count==0; i=0; j=0; end;
Fbeam(sn)=j; % First Yield, Col No
Fbeamstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > maxpl;
         maxpl=abs(b1(i,j));    
         beamno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
beamno=beamno+12*(sn-1); %...................!!! BASED ON STOREY LEVEL !!!!
if maxpl<0.0002; beamno=0; stepno=0; end;
plmax(sn,2)=maxpl
Mbeam(sn)=beamno; % Max Yield, Col No
Mbeamstep(sn)=stepno; % Max Yield, Step No
%--------------------------------/o\/o\-------------------------------------
%--------------------------------------------------------------------------
% 3 Story Columns
%--------------------------------------------------------------------------
sn=3;
load pl_def_all_cols_3.out;
c1=pl_def_all_cols_3;
c1=[c1(:,2) c1(:,3) c1(:,5) c1(:,6) c1(:,8) c1(:,9) c1(:,11) c1(:,12) c1(:,14) c1(:,15) c1(:,17) c1(:,18) c1(:,20) c1(:,21)];

c1=abs(c1); [a b]=size(c1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1
        break
    end
    end
    if count == 1
        break
    end
end
j=j+12*(sn-1); %..............................!!! BASED ON STOREY LEVEL !!!!

if count==0; i=0; j=0; end;
Fcol(sn)=j; % First Yield, Col No
Fcolstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > maxpl;
         maxpl=abs(c1(i,j));    
         colno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
colno=colno+12*(sn-1); %......................!!! BASED ON STOREY LEVEL !!!!

if maxpl==0; colno=0; stepno=0; end;
plmax(sn,1)=maxpl
Mcol(sn)=colno; % Max Yield, Col No
Mcolstep(sn)=stepno; % Max Yield, Step No
%--------------------------------------------------------------------------
% 3 Story Beams
%--------------------------------------------------------------------------
load pl_def_all_beams_3.out
b1=pl_def_all_beams_3;
b1=[b1(:,2) b1(:,3) b1(:,5) b1(:,6) b1(:,8) b1(:,9) b1(:,11) b1(:,12) b1(:,14) b1(:,15) b1(:,17) b1(:,18)   ];

b1=abs(b1); [a b]=size(b1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1;
        break
    end
    end
    if count == 1;
        break
    end
end
j=j+12*(sn-1); %..............................!!! BASED ON STOREY LEVEL !!!!
if count==0; i=0; j=0; end;
Fbeam(sn)=j; % First Yield, Col No
Fbeamstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > maxpl;
         maxpl=abs(b1(i,j));    
         beamno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
beamno=beamno+12*(sn-1); %...................!!! BASED ON STOREY LEVEL !!!!
if maxpl<0.0002; beamno=0; stepno=0; end;
plmax(sn,2)=maxpl
Mbeam(sn)=beamno; % Max Yield, Col No
Mbeamstep(sn)=stepno; % Max Yield, Step No
%--------------------------------/o\/o\-------------------------------------
%--------------------------------------------------------------------------
% 4 Story Columns
%--------------------------------------------------------------------------
sn=4;
load pl_def_all_cols_4.out;
c1=pl_def_all_cols_4;
c1=[c1(:,2) c1(:,3) c1(:,5) c1(:,6) c1(:,8) c1(:,9) c1(:,11) c1(:,12) c1(:,14) c1(:,15) c1(:,17) c1(:,18) c1(:,20) c1(:,21)];

c1=abs(c1); [a b]=size(c1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1
        break
    end
    end
    if count == 1
        break
    end
end
j=j+12*(sn-1); %..............................!!! BASED ON STOREY LEVEL !!!!

if count==0; i=0; j=0; end;
Fcol(sn)=j; % First Yield, Col No
Fcolstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > maxpl;
         maxpl=abs(c1(i,j));    
         colno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
colno=colno+12*(sn-1); %......................!!! BASED ON STOREY LEVEL !!!!

if maxpl==0; colno=0; stepno=0; end;
plmax(sn,1)=maxpl
Mcol(sn)=colno; % Max Yield, Col No
Mcolstep(sn)=stepno; % Max Yield, Step No
%--------------------------------------------------------------------------
% 4 Story Beams
%--------------------------------------------------------------------------
load pl_def_all_beams_4.out
b1=pl_def_all_beams_4;
b1=[b1(:,2) b1(:,3) b1(:,5) b1(:,6) b1(:,8) b1(:,9) b1(:,11) b1(:,12) b1(:,14) b1(:,15) b1(:,17) b1(:,18)  ];

b1=abs(b1); [a b]=size(b1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1;
        break
    end
    end
    if count == 1;
        break
    end
end
j=j+12*(sn-1); %..............................!!! BASED ON STOREY LEVEL !!!!
if count==0; i=0; j=0; end;
Fbeam(sn)=j; % First Yield, Col No
Fbeamstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > maxpl;
         maxpl=abs(b1(i,j));    
         beamno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
beamno=beamno+12*(sn-1); %...................!!! BASED ON STOREY LEVEL !!!!
if maxpl<0.0002; beamno=0; stepno=0; end;
plmax(sn,2)=maxpl
Mbeam(sn)=beamno; % Max Yield, Col No
Mbeamstep(sn)=stepno; % Max Yield, Step No
%--------------------------------/o\/o\-------------------------------------
%--------------------------------------------------------------------------
% 5 Story Columns
%--------------------------------------------------------------------------
sn=5;
load pl_def_all_cols_5.out;
c1=pl_def_all_cols_5;
c1=[c1(:,2) c1(:,3) c1(:,5) c1(:,6) c1(:,8) c1(:,9) c1(:,11) c1(:,12) c1(:,14) c1(:,15) c1(:,17) c1(:,18) c1(:,20) c1(:,21)];

c1=abs(c1); [a b]=size(c1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1
        break
    end
    end
    if count == 1
        break
    end
end
j=j+12*(sn-1); %..............................!!! BASED ON STOREY LEVEL !!!!

if count==0; i=0; j=0; end;
Fcol(sn)=j; % First Yield, Col No
Fcolstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > maxpl;
         maxpl=abs(c1(i,j));    
         colno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
colno=colno+12*(sn-1); %......................!!! BASED ON STOREY LEVEL !!!!

if maxpl==0; colno=0; stepno=0; end;
plmax(sn,1)=maxpl
Mcol(sn)=colno; % Max Yield, Col No
Mcolstep(sn)=stepno; % Max Yield, Step No
%--------------------------------------------------------------------------
% 5 Story Beams
%--------------------------------------------------------------------------
load pl_def_all_beams_5.out
b1=pl_def_all_beams_5;
b1=[b1(:,2) b1(:,3) b1(:,5) b1(:,6) b1(:,8) b1(:,9) b1(:,11) b1(:,12) b1(:,14) b1(:,15) b1(:,17) b1(:,18)  ];

b1=abs(b1); [a b]=size(b1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1;
        break
    end
    end
    if count == 1;
        break
    end
end
j=j+12*(sn-1); %..............................!!! BASED ON STOREY LEVEL !!!!
if count==0; i=0; j=0; end;
Fbeam(sn)=j; % First Yield, Col No
Fbeamstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > maxpl;
         maxpl=abs(b1(i,j));    
         beamno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
beamno=beamno+12*(sn-1); %...................!!! BASED ON STOREY LEVEL !!!!
if maxpl<0.0002; beamno=0; stepno=0; end;
plmax(sn,2)=maxpl
Mbeam(sn)=beamno; % Max Yield, Col No
Mbeamstep(sn)=stepno; % Max Yield, Step No
%--------------------------------/o\/o\-------------------------------------
%--------------------------------------------------------------------------
% 6 Story Columns
%--------------------------------------------------------------------------
sn=6;
load pl_def_all_cols_6.out;
c1=pl_def_all_cols_6;
c1=[c1(:,2) c1(:,3) c1(:,5) c1(:,6) c1(:,8) c1(:,9) c1(:,11) c1(:,12) c1(:,14) c1(:,15) c1(:,17) c1(:,18) c1(:,20) c1(:,21)];

c1=abs(c1); [a b]=size(c1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1
        break
    end
    end
    if count == 1
        break
    end
end
j=j+12*(sn-1); %..............................!!! BASED ON STOREY LEVEL !!!!

if count==0; i=0; j=0; end;
Fcol(sn)=j; % First Yield, Col No
Fcolstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > maxpl;
         maxpl=abs(c1(i,j));    
         colno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
colno=colno+12*(sn-1); %......................!!! BASED ON STOREY LEVEL !!!!

if maxpl==0; colno=0; stepno=0; end;
plmax(sn,1)=maxpl
Mcol(sn)=colno; % Max Yield, Col No
Mcolstep(sn)=stepno; % Max Yield, Step No
%--------------------------------------------------------------------------
% 6 Story Beams
%--------------------------------------------------------------------------
load pl_def_all_beams_6.out
b1=pl_def_all_beams_6;
b1=[b1(:,2) b1(:,3) b1(:,5) b1(:,6) b1(:,8) b1(:,9) b1(:,11) b1(:,12) b1(:,14) b1(:,15) b1(:,17) b1(:,18)  ];

b1=abs(b1); [a b]=size(b1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1;
        break
    end
    end
    if count == 1;
        break
    end
end
j=j+12*(sn-1); %..............................!!! BASED ON STOREY LEVEL !!!!
if count==0; i=0; j=0; end;
Fbeam(sn)=j; % First Yield, Col No
Fbeamstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > maxpl;
         maxpl=abs(b1(i,j));    
         beamno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
beamno=beamno+12*(sn-1); %...................!!! BASED ON STOREY LEVEL !!!!
if maxpl<0.0002; beamno=0; stepno=0; end;
plmax(sn,2)=maxpl
Mbeam(sn)=beamno; % Max Yield, Col No
Mbeamstep(sn)=stepno; % Max Yield, Step No
%--------------------------------/o\/o\-------------------------------------

%--------------------------------------------------------------------------
%                    STORY DUCTILITY COMPUTATION CORRECTED
%--------------------------------------------------------------------------
for i=1:sn;
% Yield Step Number Finder
    if Fbeamstep(i)>0 & Fcolstep(i)>0;
        step(i)=min(Fbeamstep(i),Fcolstep(i));
    elseif Fcolstep(i)>0 & Fbeamstep(i)==0;
        step(i)=Fcolstep(i);
    elseif Fbeamstep(i)>0 & Fcolstep(i)==0;
        step(i)=Fbeamstep(i);
    else step(i)=0;    
    end

if step(i)>0;
    sduc(i)=1/(abs(intdrift(i,step(i)))/dmax(i+1));
else
    sduc(i)=0;
end
end
%--------------------------------------------------------------------------
%                             PLASTIC ROTATION
%--------------------------------------------------------------------------
mplrot=max(plmax,[],2)
beam_plastic_rot=plmax(:,2);
col_plastic_rot=plmax(:,1);
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
%          FIRST YIELD and MAX YIELD COL AND BEAM #s INTO FILE
%--------------------------------------------------------------------------
% BEAMS
Fbeam=Fbeam'; Fbeamstep=Fbeamstep'; FYBeam=[Fbeamstep Fbeam]; FYBeam=FYBeam';
fid = fopen ('First_Yield_Beam.out','w'); % FIRST COLUMN STEP NUMBER, SECOND COLUMN BEAM NUMBER
fprintf (fid,'%6.0f %6.0f\n',FYBeam); fclose(fid);

Mbeam=Mbeam'; Mbeamstep=Mbeamstep'; MYBeam=[Mbeamstep Mbeam]; MYBeam=MYBeam';
fid = fopen ('Max_Yield_Beam.out','w'); % FIRST COLUMN STEP NUMBER, SECOND COLUMN BEAM NUMBER
fprintf (fid,'%6.0f %6.0f\n',MYBeam); fclose(fid);

% COLUMNS
Fcol=Fcol'; Fcolstep=Fcolstep'; FYcol=[Fcolstep Fcol]; FYcol=FYcol';
fid = fopen ('First_Yield_col.out','w'); % FIRST COLUMN STEP NUMBER, SECOND COLUMN col NUMBER
fprintf (fid,'%6.0f %6.0f\n',FYcol); fclose(fid);

Mcol=Mcol'; Mcolstep=Mcolstep'; MYcol=[Mcolstep Mcol]; MYcol=MYcol';
fid = fopen ('Max_Yield_col.out','w'); % FIRST COLUMN STEP NUMBER, SECOND COLUMN col NUMBER
fprintf (fid,'%6.0f %6.0f\n',MYcol); fclose(fid);

%--------------------------------------------------------------------------
%                         ROOF DRIFT COMPUTATION
%--------------------------------------------------------------------------
load Floor_1_Displ.out;
load Floor_2_Displ.out;
load Floor_3_Displ.out;
load Floor_4_Displ.out;
load Floor_5_Displ.out;
load Floor_6_Displ.out;

dd1=Floor_1_Displ;
dd2=Floor_2_Displ;
dd3=Floor_3_Displ;
dd4=Floor_4_Displ;
dd5=Floor_5_Displ;
dd6=Floor_6_Displ;

dd1max=max(abs(dd1));
dd2max=max(abs(dd2));
dd3max=max(abs(dd3));
dd4max=max(abs(dd4));
dd5max=max(abs(dd5));
dd6max=max(abs(dd6));

ddmax=[ 0 dd1max dd2max dd3max dd4max dd5max dd6max]'/h;

%--------------------------------------------------------------------------
%                        PLOTTING DRIFT AND DUCTILITY
%--------------------------------------------------------------------------
subplot(1,5,1);
plot(ddmax,sl,'-s'); 
ylabel('Story Level'); xlabel('Roof Drift Ratio');

subplot(1,5,2);
plot(dmax,sl,'r-s'); 
xlabel('Inter Story Drift');

duct(1)=0; duct(2:sn+1)=sduc(1:sn); duct=duct';

subplot(1,5,3);
plot(duct,sl,'g-s'); 
xlabel('Story Ductility');

maxplrotb(1)=0; maxplrotb(2:sn+1)=plmax(1:sn,2); maxplrotb=maxplrotb';
subplot(1,5,4);
plot(maxplrotb,sl,'k-s'); 
xlabel('Beam Plastic Rotation');

maxplrotc(1)=0; maxplrotc(2:sn+1)=plmax(1:sn,1); maxplrotc=maxplrotc';
subplot(1,5,5);
plot(maxplrotc,sl,'c-s'); 
xlabel('Col. Plastic Rotation');
%--------------------------------------------------------------------------
%                   DRIFT, DISPLACEMENT and DUCTILITY INTO FILE
%--------------------------------------------------------------------------
fid = fopen ('Drift.out','w'); % 
fprintf (fid,'%6.4f\n',dmax); fclose(fid);

fid = fopen ('Displacement.out','w'); % 
fprintf (fid,'%6.4f\n',ddmax); fclose(fid);

fid = fopen ('Ductility.out','w'); % 
fprintf (fid,'%6.4f\n',duct); fclose(fid);

%--------------------------------------------------------------------------
%                            FINISHED, URAAA !!! :)
%--------------------------------------------------------------------------

%--------------------------------------------------------------------------
%                DEMAND COMPARISON FOR STORY LEVEL _ EXTENSION
%--------------------------------------------------------------------------
snum=1; % STORY NUMBER THAT YOU WANT TO LOOK
AMP=6.0;
load taft_comp1.tcl;
acc=taft_comp1(1:5000)*AMP;

dt=0.01; % time dterval (sec)
vel=cumsum(acc)*dt;
disp=cumsum(vel)*dt;
t=dt:dt:length(acc)*dt; % duration;

figure(2);
subplot(4,1,1); plot(t,vel);
ylabel('Velocity inch/sec'); 
subplot(4,1,2); plot(t,disp);
ylabel('Displacement inch'); 
subplot(4,1,3); plot(t,d1); %.................. !!! CHECK STORY NUMBER !!! 
ylabel('Interstory Drift'); 

% Yield Step Number Finder
if Fbeamstep(snum)>Fcolstep(snum);
    step=Fcolstep(snum);
else; step=Fbeamstep(snum);
end

for i=1:length(t);
    if i<step; dhist=0;
    else; dhist(i)=intdrift(1,i)/d1(step);
    end
end

subplot(4,1,4); plot(t,dhist); ylabel('Story Ductility'); xlabel('Time History (sec)'); 
story_out=[t' d1];
demand_out=[t' dhist'];
%--------------------------------------------------------------------------



