#################################################################################################
#
# Static Gravity Load Application
#
# Writen by:  Erol Kalkan
# Last modified:  Sept 2003
#
# Objective: 
#
# Units: kip-in      
#################################################################################################  
# Load Application
#  The following are the dead loads applied to each node.	

set IG 17;    #nodal gravity load for interior column
set EG 8.5;   #nodal gravity load for exterior column
set IRG 15;   #nodal gravity load for interior roof column
set ERG 7.5;  #nodal gravity load for exterior roof column
set IFG 23.8;   #nodal gravity load for interior first storey column
set EFG 11.9;  #nodal gravity load for exterior first storey column

pattern Plain 1 Linear {
#     node     RX      RY      MZ
load     8    0.0    -$EFG     0.0;   #1 level
load     9    0.0    -$IFG     0.0;   #1 level
load    10    0.0    -$IFG     0.0;   #1 level
load    11    0.0    -$IFG     0.0;   #1 level
load    12    0.0    -$IFG     0.0;   #1 level
load    13    0.0    -$IFG     0.0;   #1 level
load    14    0.0    -$EFG     0.0;   #1 level

load    15    0.0     -$EG     0.0;   #2 level
load    16    0.0     -$IG     0.0;   #2 level
load    17    0.0     -$IG     0.0;   #2 level
load    18    0.0     -$IG     0.0;   #2 level
load    19    0.0     -$IG     0.0;   #2 level
load    20    0.0     -$IG     0.0;   #2 level
load    21    0.0     -$EG     0.0;   #2 level

load    22    0.0     -$EG     0.0;   #3 level
load    23    0.0     -$IG     0.0;   #3 level
load    24    0.0     -$IG     0.0;   #3 level
load    25    0.0     -$IG     0.0;   #3 level
load    26    0.0     -$IG     0.0;   #3 level
load    27    0.0     -$IG     0.0;   #3 level
load    28    0.0     -$EG     0.0;   #3 level

load    29    0.0     -$EG     0.0;   #4 level
load    30    0.0     -$IG     0.0;   #4 level
load    31    0.0     -$IG     0.0;   #4 level
load    32    0.0     -$IG     0.0;   #4 level
load    33    0.0     -$IG     0.0;   #4 level
load    34    0.0     -$IG     0.0;   #4 level
load    35    0.0     -$EG     0.0;   #4 level

load    36    0.0     -$EG     0.0;   #5 level
load    37    0.0     -$IG     0.0;   #5 level
load    38    0.0     -$IG     0.0;   #5 level
load    39    0.0     -$IG     0.0;   #5 level
load    40    0.0     -$IG     0.0;   #5 level
load    41    0.0     -$IG     0.0;   #5 level
load    42    0.0     -$EG     0.0;   #5 level

load    43    0.0     -$ERG     0.0;   #6 level
load    44    0.0     -$IRG     0.0;   #6 level
load    45    0.0     -$IRG     0.0;   #6 level
load    46    0.0     -$IRG     0.0;   #6 level
load    47    0.0     -$IRG     0.0;   #6 level
load    48    0.0     -$IRG     0.0;   #6 level
load    49    0.0     -$ERG     0.0;   #6 level
}














