#################################################################################################
#
# Static Pushover Analysis
#
# Writen by:  Erol Kalkan
# Last modified:  Sept 2003
#
# Objective: 
#
################################################################################################  
source recorder.tcl
#recorder Node -file node.out -time -node 11 -dof 1 disp

################################################################################################  
set Mtot 7.863; # CHECK FOR EVERY BUILDING !!!!!!!!!!!
################################################################################################  

set num_of_modes 3
set int 1; # Interval for adaptive pushover steps that updates load vector
set DxPush 0.2; # Control displacement dx

#~~~~~~~~~~~~~~~~~~~~/O\/O\~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
set maxU 15; # Max control displacement MODE -1
#set maxU 3.1; # Max control displacement MODE -2
#set maxU 0.7; # Max control displacement MODE -3

set cEV1 [expr 1.0]; set MC1 1.0; # MODIFICATION COEFFICIENT
set cEV2 [expr 0.0]; set MC2 1.0; # MODIFICATION COEFFICIENT
set cEV3 [expr 0.0]; set MC3 1.0; # MODIFICATION COEFFICIENT
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

set IDctrlNode 43; # Contol joint 

integrator DisplacementControl $IDctrlNode 1 $DxPush 1 $DxPush $DxPush
	set Nsteps [expr int($maxU/$DxPush)]
#     puts [eigen 3]
#	print eigenvectors.out -node 4 11 18 25 32 39 46
#	analyze 1

puts $Nsteps
###################################################################################
set i 0;
set counter 2

set ok 0;
set controlDisp 0.0;
test NormDispIncr 1.0e-4 1000 0
algorithm Newton
#	puts 	[eigen 1]

source FileOpen.tcl
set ccc -1
set ij 0

while {$controlDisp < $maxU && $ok == 0} {
####################################################################################
set ccc [expr $ccc+1]
	set omegasqr [eigen 3];

# PERIOD 1 COMPUTATION~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	set lambda1  [eigen2 3 1];
	set T1 [expr 2*3.14/(pow($lambda1,0.5))]
#	puts $fileId_P1 $t1

# PERIOD 2 COMPUTATION~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	set lambda2  [eigen2 3 2];
	set T2 [expr 2*3.14/(pow($lambda2,0.5))]

# PERIOD 3 COMPUTATION~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	set lambda3  [eigen2 3 3];
	set T3 [expr 2*3.14/(pow($lambda3,0.5))]

set Periods(1) $T1
set Periods(2) $T2
set Periods(3) $T3

#puts "Periods = $Periods(1), $Periods(2), $Periods(3)"
####################################################################################
#     puts $omegasqr
 	puts $fileId_omega $omegasqr

#	print eigenvectors_$i.out -node 4 11 18 25 32 39 46
#	print node 11 
#     recorder Node -file node11_$i.out -node 11 -dof 1 "eigen 3"
####################################################################################
set interval [expr $ij*$int]
#puts $interval

if {$ccc == $interval} {
      source EigenV1.tcl
	source EigenV2.tcl
	source EigenV3.tcl
set ij [expr $ij+1]
}

####################################################################################
set Droof [expr ($counter-1)*$DxPush]; # ROOF DISPLACEMENT
set stn [expr $counter-1]

source Gama_Alfa.tcl
	if {$counter == 2} {
	set V 1
	} else {
	source Base_Shear.tcl
	} 
source Adaptive_secant.tcl

####################################################################################

	set i [expr $i+1]
	set counter [expr $counter+1]
	set ok [analyze 1]

#	puts $i

	set controlDisp [nodeDisp $IDctrlNode 1]
	if {$ok != 0} {
	puts "Trying NewtonWithLineSearch .."
	algorithm NewtonLineSearch 

	set ok [analyze 1]
	algorithm Newton
	}
}
####################################################################################
source FileClose.tcl

if {$ok != 0} {
	puts "DispControl Analysis FAILED"
} else {
	puts "DispControl Analysis SUCCESSFUL"
}
####################################################################################
#                                  End of Analysis                                 #
####################################################################################




