%--------------------------------------------------------------------------
%           
%
%      S T O R E Y   L E V E L   S H E A R   F O R C E   P L O T T E R 
%
%                                   
% Created : 08/20/2004
% Last updated : 08/20/2004
% Copyright (c) 2004 by E. Kalkan, :-)
% Note: Gives story shear distribution to check UBC
%--------------------------------------------------------------------------
clear; clc; close all;
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
%                      6-STORY BUILDING
n=6;        % !!!!! CHECK IT FOR OTHER BUILDINGS !!!!!
h=990 ;   % HEIGTH
W=3800; % TOTAL WEIGHT OF STRUCTURE
%--------------------------------------------------------------------------
% LOAD BASE STORY SHEAR FORCES 
%--------------------------------------------------------------------------
% Story #1
load Fl_1_Cols_Forces.out; % Base Shear File
sh1=Fl_1_Cols_Forces;
shtot1=sh1(:,1)+sh1(:,7)+sh1(:,13)+sh1(:,19)+sh1(:,25)+sh1(:,31)+sh1(:,37);
% Story #2
load Fl_2_Cols_Forces.out; % Base Shear File
sh2=Fl_2_Cols_Forces;
shtot2=sh2(:,1)+sh2(:,7)+sh2(:,13)+sh2(:,19)+sh2(:,25)+sh2(:,31)+sh2(:,37);
% Story #3
load Fl_3_Cols_Forces.out; % Base Shear File
sh3=Fl_3_Cols_Forces;
shtot3=sh3(:,1)+sh3(:,7)+sh3(:,13)+sh3(:,19)+sh3(:,25)+sh3(:,31)+sh3(:,37);
% Story #4
load Fl_4_Cols_Forces.out; % Base Shear File
sh4=Fl_4_Cols_Forces;
shtot4=sh4(:,1)+sh4(:,7)+sh4(:,13)+sh4(:,19)+sh4(:,25)+sh4(:,31)+sh4(:,37);
% Story #5
load Fl_5_Cols_Forces.out; % Base Shear File
sh5=Fl_5_Cols_Forces;
shtot5=sh5(:,1)+sh5(:,7)+sh5(:,13)+sh5(:,19)+sh5(:,25)+sh5(:,31)+sh5(:,37);
% Story #6
load Fl_6_Cols_Forces.out; % Base Shear File
sh6=Fl_6_Cols_Forces;
shtot6=sh6(:,1)+sh6(:,7)+sh6(:,13)+sh6(:,19)+sh6(:,25)+sh6(:,31)+sh6(:,37);

%--------------------------------------------------------------------------
% PEAK STORY SHEAR FORCES
%--------------------------------------------------------------------------
sh1max=max(abs(shtot1));
sh2max=max(abs(shtot2));
sh3max=max(abs(shtot3));
sh4max=max(abs(shtot4));
sh5max=max(abs(shtot5));
sh6max=max(abs(shtot6));

sh_vec=[0 sh1max sh2max sh3max sh4max sh5max sh6max]/W; % MAX shear force at each story 
sh_vec=sh_vec';
%--------------------------------------------------------------------------
sl=[0 1 2 3 4 5 6]'; % STORY VECTOR

%--------------------------------------------------------------------------
% PLOTTING
%--------------------------------------------------------------------------
plot(sh_vec,sl,'-o'); 
ylabel('Story Level'); xlabel('Max. Story Shear Force/W');
%--------------------------------------------------------------------------
%       SHEAR VECTOR INTO FILE
%--------------------------------------------------------------------------
fid = fopen ('Max_story_shear.out','w'); % 
fprintf (fid,'%6.4f\n',sh_vec); fclose(fid);
%--------------------------------------------------------------------------

h=990; % TOTAL HEIGHT OF BUILDING
%--------------------------------------------------------------------------

%~~~~~~~~~~~~INTER STOREY DRIFT ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
load eigen_value.out;
omgsqr=eigen_value;

[a b]=size(omgsqr);
for j=1:3;
    for i=1:a;
    P(i,j)=2*pi/omgsqr(i,j)^0.5;
end
end

for j = 1:3;
    for i = 1:a;
        d(j,i) = shtot1(i)/omgsqr(i,j);
    end
end

d=d'*-1/5;

figure(2);
plot(d(:,1),shtot1,'ro');






